#{extends 'common/frontend-admin.html' /}
#{set 'title'}
<h1>Tender Classification</h1>
#{/set}
<div class="container-fluid container-fixed-lg bg-white">
    #{cms.alert /}

    <div class="row">

        <div class="col-12">
            #{if showConfig}
            <div class="form-check form-check-inline">
                <input class="form-check-input" name="enabledConfig" type="checkbox" id="inlineCheckbox1" value="${enabledForKl ? 'enabled' : 'disabled'}" ${enabledForKl ? 'checked' : ''}>
                <label class="form-check-label" for="inlineCheckbox1">Tampil di Admin KLPD</label>
            </div>
            #{/if}
            <br>
        </div>
        <div class="col-4">
            <form method="get" class="wrapper-form-action">
            <div class="input-group mb-3">
                <input type="text" class="form-control" value="${search}" name="args" placeholder="Cari id paket atau nama paket" aria-label="Cari id paket atau nama paket" aria-describedby="basic-addon2">
                <div class="input-group-append">
                    <span class="input-group-text" id="basic-addon2"><i class="fa fa-search"></i></span>
                </div>
            </div>
            </form>
        </div>
    </div>
    <div class="row">
        <div class="col">
            <div class="card">
                <div class="card-body">
                    #{if data}
                    <table id="table-content" class="table table-bordered table-hover">
                        <thead>
                        <tr>
                            <th>Nama</th>
                            <th>Tanggal Lelang Dibuat</th>
                            <th>HPS</th>
                            <th>Pagu</th>
                            <th>Versi</th>
                            <th>Status Lelang Saat ini</th>
                            <th>Prediksi</th>
                        </tr>
                        </thead>
                        <tbody>
                        #{if data.item}
                            #{core.classification-table-item item:data.item /}
                        #{/if}
                        #{list items:data.items, as:'item'}
                            #{core.classification-table-item item:item /}
                        #{/list}
                        </tbody>
                    </table>
                    #{/if}
                </div>
            </div>
        </div>
    </div>
</div>
#{set 'moreScripts'}
<script>
    $( document ).ready(function() {
        $('#inlineCheckbox1').change(function() {
            let val = $(this).is(':checked')
            let rn = Math.random().toString()
            let valString = val ? 'enabled' : 'disabled'
            $.ajax({
                url: '#{url route.core_tenderclassificationcontroller_enabledconfig /}?rn=' + rn + '&enabledConfig=' + valString,
                success: function(result) {
                    $(this).prop('checked', result.status && result.payload === rn && val)
                },
                error: function(result) {
                    $(this).prop('checked', !val)
                }
            })
        })
        $( ".submit-search" ).click(function() {
            $( ".wrapper-form-action" ).submit();
        });
    });
</script>
#{/set}